diff -Nru backup-manager-0.7.14/debian/changelog backup-manager-0.7.14/debian/changelog
--- backup-manager-0.7.14/debian/changelog	2018-03-06 13:07:46.000000000 +0100
+++ backup-manager-0.7.14/debian/changelog	2019-07-29 08:29:18.000000000 +0200
@@ -1,3 +1,11 @@
+backup-manager (0.7.14-1.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix purging of remote archives via FTP or SSH.
+    Thanks to Thomas Parmelan (Closes: #895901)
+
+ -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 29 Jul 2019 08:29:18 +0200
+
 backup-manager (0.7.14-1) sid; urgency=medium
 
   * Add new patch: Drop-extra-continue.patch.
diff -Nru backup-manager-0.7.14/debian/patches/fix-purging-of-remote-archives-via-ftp-or-ssh.patch backup-manager-0.7.14/debian/patches/fix-purging-of-remote-archives-via-ftp-or-ssh.patch
--- backup-manager-0.7.14/debian/patches/fix-purging-of-remote-archives-via-ftp-or-ssh.patch	1970-01-01 01:00:00.000000000 +0100
+++ backup-manager-0.7.14/debian/patches/fix-purging-of-remote-archives-via-ftp-or-ssh.patch	2019-07-29 08:29:18.000000000 +0200
@@ -0,0 +1,22 @@
+Description: Fix purging of remote archives via FTP or SSH
+ Due to a refactoring upstram the additional export of BM_BMP_PATH in
+ backup-manager script caused to invoke
+ /usr/bin/backup-manager-purge/backup-manager-purge to purge the remote
+ archives and failing.
+Origin: vendor
+Bug: https://github.com/sukria/Backup-Manager/pull/120
+Bug-Debian: https://bugs.debian.org/895901
+Author: Thomas Parmelan <tom+debian@ankh.fr.EU.org>
+Reviewed-by: Salvatore Bonaccorso <carnil@debian.org>
+Last-Update: 2019-07-29
+
+--- a/backup-manager
++++ b/backup-manager
+@@ -34,7 +34,6 @@ vardir="/var/lib/backup-manager"
+ bindir="/usr/bin"
+ bmu="$bindir/backup-manager-upload"
+ bmp="$bindir/backup-manager-purge"
+-export BM_BMP_PATH=$bmp
+ 
+ # Find which lockfile to use
+ # If we are called by an unprivileged user, use a lockfile inside the user's home;
diff -Nru backup-manager-0.7.14/debian/patches/series backup-manager-0.7.14/debian/patches/series
--- backup-manager-0.7.14/debian/patches/series	2018-03-06 13:07:46.000000000 +0100
+++ backup-manager-0.7.14/debian/patches/series	2019-07-29 08:29:18.000000000 +0200
@@ -3,3 +3,4 @@
 debian-user-guide-location.patch
 fix-tar-errors.patch
 fix-sanitize-messages.patch
+fix-purging-of-remote-archives-via-ftp-or-ssh.patch
